import { z } from 'zod';
import { EntityStatusSchema } from './entity-status.schema';

export const EntitySchema = z.object({
  changed: z.string().describe('Changed').optional(),
  created: z.string().describe('Created').optional(),
  id: z.number().int().positive().describe('Unique identifier').optional(),
  pId: z.string().describe('P identifier').optional(),
  status: EntityStatusSchema.describe('Current status').optional(),
  uId: z.string().describe('U identifier').optional(),
  version: z.number().int().nonnegative().describe('Version').optional(),
});
